Package com.xebialabs.deployit.plugin.api.udm

# Class BaseAppliedProvisionerArtifact

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.deployit.plugin.api.udm.base.BaseEmbeddedDeployed<BaseProvisionerArtifact,BaseDeployed>
com.xebialabs.deployit.plugin.api.udm.artifact.EmbeddedDeployedArtifact<BaseProvisionerArtifact,BaseDeployed>
com.xebialabs.deployit.plugin.api.udm.BaseAppliedProvisionerArtifact

All Implemented Interfaces:
  `AppliedProvisioner<BaseProvisionerArtifact>`, `Artifact`, `DerivedArtifact<BaseProvisionerArtifact>`, `ConfigurationItem`, `EmbeddedDeployed<BaseProvisionerArtifact,BaseDeployed>`, `EmbeddedDeployedContainer<BaseProvisionerArtifact,BaseDeployed>`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(virtual=true, inspectable=false, root=NESTED) public class BaseAppliedProvisionerArtifact extends EmbeddedDeployedArtifact<BaseProvisionerArtifact,BaseDeployed> implements AppliedProvisioner<BaseProvisionerArtifact>
The deployed counterpart of BaseProvisionerArtifact. Created when the BaseProvisionerArtifact is mapped to a container. This contains the artifact for which placeholders have been resolved.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.EmbeddedDeployedContainer

  `CONTAINER_FIELD, DEPLOYABLE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseAppliedProvisionerArtifact()`

- ## Method Summary

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.artifact.EmbeddedDeployedArtifact

  `getFile, getPlaceholders, getSourceArtifact, setFile, setPlaceholders`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseEmbeddedDeployed

  `getContainer, getDeployable, setContainer, setDeployable`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.EmbeddedDeployedContainer

  `getContainer, getDeployable, setContainer, setDeployable`

- ## Constructor Details

  - ### BaseAppliedProvisionerArtifact

    public BaseAppliedProvisionerArtifact()